#!/bin/ksh
export ECLIPSE_HOME=/usr/pkg/eclipse3.1
export VVM=/usr/pkg/java/jdk-1.4.2/bin/java
export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib

export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.1.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
#unset CLASSPATH

# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_DIR=/usr/pkg/eclipse3.1

# Model project
export MAIN_DIR=..

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=/usr/pkg/workspace3.2M4-emf
export WORKSPACE=/usr/pkg/workspace3.2M4-xsd
export WORKSPACE=/usr/pkgsrc/Eclipse3.2M4-EMF/.workspace

mkdir -f ${WORKSPACE}

java   -classpath ${ECLIPSE_DIR}/startup.jar \
	-Djava.endorsed.dirs=${ECLIPSE_DIR}/plugins/org.apache.xerces_2.7.0   \
	org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
	-application org.eclipse.emf.importer.rose.Rose2GenModel   \
	${MAIN_DIR}/model/library.mdl ${MAIN_DIR}/emf/library.genmodel  \
	-modelProject /library src
 
exit 0
