#!/bin/ksh
export ECLIPSE_HOME=/usr/pkg/eclipse3.1.2
export VVM=/usr/pkg/java/jdk-1.4.2/bin/java
export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib

export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.1.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
#unset CLASSPATH

# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_HOME=${ECLIPSE_HOME}

# Model project
export MAIN_DIR=../library

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=/usr/pkgsrc/Eclipse3.2M4-EMF/schoollibrary/.work/.workspace
rm -r ${WORKSPACE}/.metadata
rm -r ${WORKSPACE}/schoollibrary
rm -r ${WORKSPACE}
mkdir -p ${WORKSPACE}

#cp -r /usr/pkgsrc/Eclipse3.1.2-EMF/schoollibrary/.work/library /usr/pkgsrc/Eclipse3.1.2-EMF/.workspace/library
#cp /usr/pkgsrc/Eclipse3.1.2-EMF/schoollibrary/.work/library/.project /usr/pkgsrc/Eclipse3.1.2-EMF/.workspace/library/.project
#rm -r /usr/pkgsrc/Eclipse3.1.2-EMF/.workspace/library
rm -r /schoollibrary

cd ${ECLIPSE_HOME}; java -classpath startup.jar \
	-Djava.endorsed.dirs=plugins/org.apache.xerces_2.7.0 \
	org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
	-application org.eclipse.emf.importer.rose.Rose2GenModel \
	/usr/pkgsrc/Eclipse3.2M4-EMF/schoollibrary/.work/schoollibrary/model/schoollibrary.mdl \
	/usr/pkgsrc/Eclipse3.2M4-EMF/schoollibrary/.work/schoollibrary/emf/schoollibrary.genmodel \
	-modelProject ../../../../../../schoollibrary src
#	-modelProject /usr/pkgsrc/Eclipse3.1.2-EMF/schoollibrary/.work/schoollibrary src
	
	
exit 0

# correction
CORR_FILE=/usr/pkgsrc/Eclipse3.1.2-EMF/schoollibrary/.work/library/emf/library.genmodel
cp ${CORR_FILE} ${CORR_FILE}.BK
sed -e "s|/schoollibrary/./src/.|/schoollibrary/src|" < ${CORR_FILE}.BK > ${CORR_FILE}
#sed -e "s|/usr/pkgsrc/Eclipse3.1.2-EMF/.work/library/./src/.|/library/src|" < ${CORR_FILE}.BK > ${CORR_FILE}
rm ${CORR_FILE}.BK
# correction
CORR_FILE=/usr/pkgsrc/Eclipse3.1.2-EMF/.workspace/.metadata/.plugins/org.eclipse.core.resources/.projects/library/.location
cp ${CORR_FILE} ${CORR_FILE}.BK
sed -e "s|/schoollibrary|)URI//file:/usr/pkgsrc/Eclipse3.1.2-EMF/schoollibrary/.work/schoollibrary|" < ${CORR_FILE}.BK > ${CORR_FILE}
rm ${CORR_FILE}.BK
	
	
exit 0
