# $NetBSD$

BUILDLINK_DEPTH:=		${BUILDLINK_DEPTH}+
JDK13_BUILDLINK3_MK:=		${JDK13_BUILDLINK3_MK}+

.if !empty(BUILDLINK_DEPTH:M+)
BUILDLINK_DEPENDS+=		jdk13
.endif

BUILDLINK_PACKAGES:=		${BUILDLINK_PACKAGES:Njdk13}
BUILDLINK_PACKAGES+=		jdk13

.if !empty(JDK13_BUILDLINK3_MK:M+)
BUILDLINK_DEPENDS.jdk13+=	jdk13>=1.0.9
BUILDLINK_PKGSRCDIR.jdk13?=	../../wip/jdk13
BUILDLINK_JAVA_PREFIX.jdk13=	${PREFIX}/java/jdk-1.3.1

BUILDLINK_PASSTHRU_DIRS+=	${BUILDLINK_JAVA_PREFIX.jdk13}

BUILDLINK_CPPFLAGS.jdk13= \
	-I${BUILDLINK_JAVA_PREFIX.jdk13}/include				\
	-I${BUILDLINK_JAVA_PREFIX.jdk13}/include/netbsd
.endif	# JDK13_BUILDLINK3_MK

.include "../../mk/x11.buildlink3.mk"

BUILDLINK_DEPTH:=		${BUILDLINK_DEPTH:S/+$//}
