#!/bin/ksh
export ECLIPSE_HOME=/usr/pkg/eclipse3.2M4
export VVM=/usr/pkg/java/jdk-1.4.2/bin/java
export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib

export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.2.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
#unset CLASSPATH

# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_DIR=/usr/pkg/eclipse3.2M4

# Model project
export MAIN_DIR=..

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=/usr/pkg/workspace3.2M4-emf
export WORKSPACE=/usr/pkg/workspace3.2M4-xsd
mkdir -f ${WORKSPACE}

java   -classpath ${ECLIPSE_DIR}/startup.jar \
  -Djava.endorsed.dirs=${ECLIPSE_DIR}/plugins/org.apache.xerces_2.7.0.v20060112_0830   \
 org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
-application org.eclipse.xsd.ecore.importer.XSD2GenModel   \
${MAIN_DIR}/model/library.xsd ${MAIN_DIR}/emf/library.genmodel  \
  -modelProject ${MAIN_DIR}/runtime src

exit 0
