package org.eclipse.example.library.db;

import java.io.IOException;
import java.util.Collection;

import javax.jdo.Extent;
import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.jdo.Transaction;

import org.eclipse.example.library.BookCategory;
import org.eclipse.example.library.Library;
import org.eclipse.example.library.LibraryFactory;

import org.eclipse.example.library.db.PM;
import org.eclipse.example.library.impl.LibraryImpl;

public class bookCategoryEnum {

	public static BookCategory create(PersistenceManager pm, String string) throws IOException {
		BookCategory bookCategory = null;
		int items;
     	
    		Query qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookCategoryImpl WHERE name==\""+string+"\"");
    		Collection coll = (Collection)qry.execute();
    		items = coll.size();
 
    		if (items == 0) {
    			bookCategory = LibraryFactory.eINSTANCE.createBookCategory();
    			bookCategory.setName(string);
    			return bookCategory;
    		} else {
    			bookCategory = (BookCategory)coll.iterator().next();
    	   	   	}
    		return bookCategory;
	}
	public static void init(String bookcategoryName) throws IOException {
       	PersistenceManager pm = PM.createPersistenceManager();
       	Transaction tx = pm.currentTransaction(); 
 
       	tx.begin();
    	
 	    Extent e = pm.getExtent(LibraryImpl.class, true);
	    Query q = pm.newQuery(e);

	    // there is only one library
	    Collection c = (Collection)q.execute();
	    Library lib = (Library)c.iterator().next();
	    
	    // Now add a new bookcategory
	    BookCategory bookcategory = bookCategoryEnum.create(pm, bookcategoryName);
        lib.getCategories().add(bookcategory);
       
        // and close of
	    tx.commit();
	    pm.close();
	}
}
