package com.ibm.example.projecttree;

/**
 * @model
 */
public interface ProjectTree {
	
 	/**
	 * Return the projecttrees name.
	 * @return the name
	 * @model
	**/
	String getName();
	
	/**
	 * Return a list of contained families
	 * @model type="Dir" containment="true" 
	**/
	java.util.List getDirs();

	/**
	 * Return a list of contained individuals
	 * @model type="Leaf" containment="true" 
	**/
	java.util.List getLeafs();
}
